Bug 162921 - Synaptics touchpad randomly not detected
Synaptics touchpad randomly not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-11 13:30 EDT by Richard Körber
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Körber 2005-07-11 13:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When booting the computer, the Synaptics touchpad is sometimes not detected. As a consequence, X does not start because of a missing core pointer. After a few reboots, the touchpad is suddenly detected and works fine. Often it also works immediately at the first attempt. It looks like it's some kind of race condition.

After having updated to synaptics-0.14.2-1, the synaptics detection seems to be much more reliable, but it still fails sometimes.

Also, rhgb will never detect the touchpad, so it is always a textual boot.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Install FC4
2. Manually add synaptics configuration to xorg.conf
3. (update to synaptics-0.14.2-1)
4. Boot the computer several times
  

Actual Results:  Often it works fine (rhgb will never work though). Sometimes the touchpad is not detected, and then X fails because the core pointer is missing.

Expected Results:  Synaptics is detected every time, so X will always start. (It would be fine if it is even detected before rhgb starts.)

Additional info:

The relevant part of my xorg.conf is:

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "synaptics"
        Option      "Protocol" "auto-dev"
        Option      "Device" "/dev/psaux"
        Option      "LeftEdge" "1700"
        Option      "RightEdge" "5300"
        Option      "TopEdge" "1700"
        Option      "BottomEdge" "4200"
        Option      "FingerLow" "25"
        Option      "Fingertop" "30"
        Option      "MaxTapTime" "180"
        Option      "MAxTapMove" "220"
        Option      "VertScrollDelta" "100"
        Option      "MinSpeed" "0.06"
        Option      "MaxSpeed" "0.12"
        Option      "AceelFactor" "0.0010"
        Option      "SHMConfig" "on"
        Option      "RTCornerButton" "2"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

When synaptics is not detected, it is also not mentioned at all in dmesg. If it was detected, dmesg says:

synaptics reset failed
Synaptics Touchpad, model: 1
 Firmware: 5.9
 Sensor: 18
 new absolute packet format
 Touchpad has extended capability bits
 -> 4 multi-buttons, i.e. besides standard buttons
 -> multifinger detection
 -> palm detection
input: SynPS/2 Synaptics TouchPad on isa0060/serio4
Comment 1 Paul Nasrat 2005-07-11 15:19:44 EDT
Can you attach the output of cat /proc/bus/input/devices on successful and
unsuccessful boots.
Comment 2 Richard Körber 2005-07-11 16:09:09 EDT
Successful:

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio4/input0
H: Handlers=mouse1 event1
B: EV=b
B: KEY=6420 0 7000f 0 0 0 0 0 0 0 0
B: ABS=11000003

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd mouse0 event0
B: EV=120017
B: KEY=40000 4 2000078 3802078 f840d001 b2ffffdf ffefffff ffffffff fffffffe
B: REL=140
B: MSC=10
B: LED=7

Please be a little patient with the unsuccessful boot. The trouble is that I
cannot provoke this problem once the Synaptics is working. I have to wait until
it fails again.
Comment 3 Richard Körber 2005-07-12 17:01:51 EDT
Not successful:

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio4/input0
H: Handlers=mouse1 event1
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

I: Bus=0011 Vendor=0001 Product=0001 Version=abba
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd mouse0 event0
B: EV=120017
B: KEY=40000 4 2000078 3802078 f840d001 b2ffffdf ffefffff ffffffff fffffffe
B: REL=140
B: MSC=10
B: LED=7
Comment 4 Paul Nasrat 2005-07-12 18:20:01 EDT
If you do the following on a non successful boot

echo -n "reconnect" > /sys/bus/serio/devices/serio4/drvctl 

do things start working?
Comment 5 Richard Körber 2005-07-12 18:37:06 EDT
Sorry, but no, they don't. /proc/bus/input/devices will still read line in
Comment #3, and X won't start.

Anyhow, I've just experimented around somewhat, and I did a

echo -n "reconnect" > /sys/bus/serio/devices/serio3/drvctl

(note the "serio three"). After that, the synaptics was found and I was able to
start X right away. /proc/bus/input/devices reads like this now:

I: Bus=0011 Vendor=0001 Product=0001 Version=abba
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd mouse0 event0
B: EV=120017
B: KEY=40000 4 2000078 3802078 f840d001 b2ffffdf ffefffff ffffffff fffffffe
B: REL=140
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio4/input0
H: Handlers=mouse1 event1
B: EV=b
B: KEY=6420 0 7000f 0 0 0 0 0 0 0 0
B: ABS=11000003
Comment 6 Dave Jones 2005-07-15 17:16:47 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 7 Dave Jones 2005-09-30 02:27:31 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 8 Dave Jones 2005-11-10 14:26:51 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Dave Jones 2006-02-03 00:30:15 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 John Thacker 2006-05-04 21:19:05 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.